/* You need the "Becasso" application by
   Sum Software <http://www.sumware.demon.nl/>
   to run this script, which is guaranteed to run properly only
   on version 1.5 and later. */

launch "application/x-sum-Becasso"
tell Becasso

	# Becasso is a well-behaved application under most scripting purposes --
	# it comes with complete HTML documentation about its scripting support.
	# In the past version 1.4 did not advertise its suites but the most
	# recent version does.

	/* Just a simple dynamic specifier: this pops up an HTML window with
	   the program documentation using the about box, which is then closed. */

	about
	click "Manual" in Window "About Becasso"
	quit Window "About Becasso"

	/* Note that Be-defined types must be specified strictly -- BPoint and
	   BRect accept only floating-point values, and rgb_color accepts only
	   integer values. */

	# First we create a canvas and then we add a layer to it.
	# We then show the Layers window and move both windows a little in order
	# to highlight the operation that it's taking place.

	create Canvas with name=MyCanvas and size=BRect(100.0,100.0,300.0,300.0)
	choose "Layers" of Canvas "MyCanvas"
	tell Window "Layers in MyCanvas" to do MoveBy BPoint(0.0,300.0)
	let Canvas "MyCanvas" do
		do MoveBy BPoint(200.0, 50.0)
		create Layer with name=MyLayer
	end

	# Some general Becasso settings.

	set Mode to "Draw"
	set Tool to "Spray Can"
	set Foreground to rgb_color(85,107,47,255)
	set Background to LightSlateGrey
	set Strength of Tool "Brush" to 128
	set ExportFormat to "image/jpeg"
endt
